# Copyright 2014 Trimble Navigation Ltd.
#
# License: The MIT License (MIT)
#
# A SketchUp Ruby Extension that creates simple shape objects.  More info at
# https://github.com/SketchUp/shapes
#
# LanguageHandler added by M_Chabot 2016
#
module CommunityExtensions
  require 'sketchup.rb'
  require 'extensions.rb'
  module Shapes
    require 'langhandler.rb'
    # adding a key for language strings...
    ShLH = LanguageHandler.new('su_shapes.strings')

    # Create the extension.
    loader = File.join(File.dirname(__FILE__), 'su_shapes', 'shapes.rb')
    extension = SketchupExtension.new(ShLH['Shapes Tool'], loader)
    extension.description = ShLH['Shapes sample script from SketchUp.com']
    extension.version     = '2.0.1'
    extension.creator     = 'SketchUp'
    extension.copyright   = '2014, Trimble Navigation Limited and ' <<
                            'John W McClenahan'

    # Register the extension so it will show up in the Preference panel.
    Sketchup.register_extension(extension, true)

  end # module Shapes
end # module CommunityExtensions
